This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 487136 - KVM Having problem In fedora 10 With no-gui
KVM Having problem In fedora 10 With no-gui
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kvm (Show other bugs)
10
i686 Linux
low Severity urgent
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-24 09:12 EST by ali
Modified: 2009-03-01 14:25 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-01 14:25:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ali 2009-02-24 09:12:23 EST
Description of problem:
kvm-74-10.fc10.i386
qemu-0.9.1-10.fc10.i386


How reproducible:

From past few days i am trying to install VM via virt-install qemu-kvm on fedora 10 .My all server at remote site and no GUI is running.So i need to install via SSH.When ever i install it and give -nographic command line switch it just hang and never come back.I paste you my steps so you all can see.
Steps to Reproduce:
1.qemu-img create -f qcow2 disk.img 5G
2.virt-install --name demo  --ram 500   --file /var/lib/xen/images/disk.img     --nographics    --location http://fedora.inode.at/fedora/linux/releases/10/Fedora/i386/os/

                      OR
3.qemu-kvm -hda disk.img -cdrom fedora10.iso -m 512 -boot d -nographic
  
Actual results:

IN Case 2 : it just hang on creating domains.And never return console back
IN CASE 3 :shell hangs up and never come back .
 Then in both case need to use kill command to kill process.
Expected results:
Its should work how its documented.

Additional info:
Comment 1 Mark McLoughlin 2009-02-25 04:50:50 EST
(In reply to comment #0)

> When ever i install it and give -nographic command line switch
> it just hang and never come back.

virt-install is connecting to the serial console, but the guest isn't using the serial console.

Try supplying -x "console=ttyS0" on the virt-install command line. Also, note that VNC installs are incredibly useful - try -x "console=ttyS0 vnc". See:

  https://fedoraproject.org/wiki/Reporting_virtualization_bugs#virt-install
Comment 2 ali 2009-02-26 09:43:27 EST
Thanks, -x console=ttySO worked for me. 

Now I am getting following error after TCP/IP Manual/ DHCP Configuration Network Settings

                       +-----------+ Error +------------+                       
                       |                                |                       
                       | Unable to retrieve             |                       
                       | http://fedora.inode.at/fedora  |                       
                       | /linux/releases/10/Fedora/i38  |                       
                       | 6/os//images/install.img.      |                       
                       |                                |                       
                       |            +----+              |                       
                       |            | OK |              |                       
                       |            +----+              |                       
                       |                                |                       
                       |                                |                       
                       +--------------------------------+ 

I have tested the same with local NAP IP '192.168.122.3/255.255.255.0 and live IP's, virt-install is unable to download install.img.

Any idea ?
Comment 3 ali 2009-02-28 13:30:09 EST
i have also tested with NFS, there is something wrong in network connection and seems a bug.

Note You need to log in before you can comment on or make changes to this bug.